Copyright: Copyright © 1994 Megabyte Services


Contents

(5 Controls and MORE... IN 1) for Visual Basic 3.0

Version 1.50.000

Overview of StatusFX

Property Reference

Event Reference

What's New To v1.5 and Fixed (Check Here Now)

Copyright © 1994 Megabyte Services

P.O. Box 821524

Dallas, Texas 75382


AbbreviateWords

Usage

StatusFX.AbbreviateWords = booleanvalue

Read/Write at design time and run time.

Value

True 	- Turn On Abbreviation of Words (example: Sep or CAPS)

False 	- Turn Off Abbreviation of Words (example: September or Caps Lock)

Description

This property turns on and off abbreviation of  date parts (month, weekday) and key states.  This property is also selectable through associated popup menu.

Default Value

False


 Overview

examples of StatusFX

New To StatusFX

New To StatusFX is full menu browsing support like no other.  New event MenuSelect gives the programmer everything they need to expand StatusFX to it's fullest.  Check out What's New to v1.5 and Fixes for complete information on the new hot event.

StatusFX is Full Blown Status Bar that features a Caption/Gauge and Display of keystates, date/time and more all in same control.  It was originally developed in VB using a timer control, 1 panel for the entire control, 1 panel for the caption, 4 keystat controls, 4 panels to display the key states, 1 panel for the time and date and a hidden popup menu.  StatusFX is designed to rid all these controls (resources) and combine them into a neat, easy to use custom control that handles them all together.  StatusFX has been expanded to display much more and give the programmer complete information for development.

StatusFX is equipped with over 60 properties and 4 events, extending StatusFX by giving you complete information of date, time (broken down to its individual units - even Julian Date), memory and resources currently available, display of all key states (CAPS LOCK, INSERT, SCROLL LOCK, NUM LOCK).

I hope that StatusFX will give you ease of use as it has brought me in my own VB projects.  That's why I developed it and with continued support I will create other custom controls to save you time and me in Visual Basic projects.

Support to defend StatusFX...


Properties
 StatusFX Properties

StatusFX Properties are used to define a state or characteristic of the StatusFX control.  Properties can be set at design time via the properties window.  The contents of the properties can be referenced, and usually modified at runtime also.  Here is the list of the StatusFX control properties:

Standard Properties

A

AbbreviateWords

AMorPM

AMPMStyle

AvailableMemory

AvailableResources

B

BevelCaption

BevelDisplay

BevelHighlight

BevelShade

BevelOuter

C

CapsState

Caption

CaptionAlignment

CaptionBackColor

CaptionForeColor

ControlStyle

D

Day

DayOfTheWeek

DisplayAlignment

DisplayBackColor

DisplayForeColor

DisplayFullYear

DisplayNextOnDblClick

DisplayPopupMenu

DisplaySeconds

DisplayStyle

DisplayWidth

E

EnableMenuSelect

EnableTimer

EndWidth

F

none

G

Gauge

GaugeAlignment

GaugeBackColor

GaugeDirection

GaugeForeColor

GaugePercent

GaugePercentStyle

GaugeText

H

Hour

I

InsertState

Interval

IntervalKeyStates

IntervalOther

J

JulianDate

K

KeyStateInactiveColor

L

None

M

Minute

Month

N

NumState

O-R

None

S

ScrollState

Second

T

None

U

UserDefinedAM

UserDefinedPM

V

None

W

None

X

None

Y

Year

Z

None


Events
 StatusFX Events

Standard Events

DblClick

GaugeSet

KeyStateDblClk

MenuSelect

PopupMenuSelect

Timer


WhatNewAndFixed
 What's New To v1.5 And Fixed

New In Version 1.5

New

1.  Menu Support has been added to StatusFX, making it a fully featured status bar.  The new event MenuSelect gives you the power of setting the Caption from within the event without referencing the control directly.  Also, MenuSelect gives you everything about the menu item in question.  Example of use below:

Sub StatusFX1_MenuSelect (MenuItem As String, TypeOfItem As Integer, Enabled As Integer, Checked As Integer, SetCaption As Integer)

  Select Case TypeOfItem

    Case 1 'Popup Menu Item

       Select Case MenuItem

           Case "&File"

               MenuItem = "File: Open, New, Save Documents"

       End Select

    Case 2 'Menu Item

       Select Case MenuItem

           Case "&Open"

               If Enabled then  'Menu Item is Current Enabled

                 MenuItem = "Open Existing Documents"

               Else                    'Menu Item is Not Enabled

                 MenuItem = "This option is currently unavailable for selection."

               Endif

    .(Other Cases)

    .

    .

  End Select

  SetCaption = True  'Tell StatusFX to display MenuItem in the caption upon leaving this event

End Sub

2.  New properties:

EnableMenuSelect - Enables/Disables sending the MenuSelect event to a StatusFX control.

EndWidth - Width for the ends and between the caption and display side.

Fixes And Updates

Updated Help File To New Version.

Fixed problem with interval time not set correctly upon starting.


GaugeText

see also

Usage

StatusFX.GaugeText = stringvalue

Read/Write at design time and run time.

Description

This property sets the gauge text that will be displayed when the gauge is on.


Align

Usage	Statusfx.Align = numericvalue

Read/Write at design time and run time.

Values	0 - None

1 - Align Top

2 - Align Bottom

Description	See Visual Basic On-Line Help for further information on this standard property.

Default Value	0 - None


GaugeDirection

see also

Usage

StatusFX.GaugeDirection = numericvalue

Read/Write at design time and run time.

Value

0 - Left to Right

1 - Right to Left

2 - Top to Bottom

3 - Bottom to Top

Description

This property sets the gauge direction at which the gauge will fill.

Default Value

0 - Left to Right


AMorPM

see also

Usage

StatusFX.AMorPM

Read Only at design time and run time.

Value

0 - AM

1 - PM

Description

This property contains the current state of AM or PM of the system time.


BevelCaption

see also

Usage

StatusFX.BevelCaption = numericvalue

Read/Write at design time and run time.

Value

0 - None

1 - Pop

2 - Drop

Description

This property sets the bevel state appearance for the rectangle surrounding the caption portion of the control.

Default Value

2 - Drop


AMPMStyle

see also

Usage

StatusFX.AMPMStyle = numervalue

Read/Write at design time and run time.

Value

0 - AM/PM

1 - Morning/Night

2 - Crack of Dawn/After Hours

3 - Early/Late

4 - Coffee/Cold Beer

5 - Breakfast/Dinner

6 - Hangover/Party

7 - User Defined

Description

This property sets the values to be used in place of AM and PM.  By selecting 7 - User Defined you can define your own AM/PM values by setting UserDefinedAM and	UserDefinedPM.

Default Value

0 - AM/PM


AvailableMemory

see also

Usage

StatusFX.AvailableMemory

Read Only at design time and run time.

Value

System Available Memory

Description

This property contains the current system available memory.


AvailableResources

see also

Usage

StatusFX.AvailableResources

Read Only at design time and run time.

Value

1 - 100 (Percent%)

Description

This property contains the current system available resources.


KeyStateDblClk

see also

Syntax

StatusFX_KeyStateDblClick (KeyState as Integer, State as Integer)

Parameter Values

KeyState

0 - Scroll Lock

1 - Num Lock

2 - Caps Lock

3 - Insert Mode

State

0 - Key Off / Insert Mode

1 - Key On / Overtype

Description

This event is called when double clicking inside any one of the keystate rectangles during runtime if property DisplayNextOnDblClk is set to False.  The insert key should be check regularly due to most text controls not automatically setting their insert mode automatically.


BevelHighlight

see also

Usage

StatusFX.BevelHighlight = colorvalue

Read/Write at design time and run time.

Description

This property denotes the color of the bevel highlight for the control.  With this color and BevelShade gives the control it's 3D appearance.

Default

&H00FFFFFF& (bright white).


BevelShade

see also

Usage

StatusFX.BevelShade = colorvalue

Read/Write at design time and run time.

Description

This property denotes the color of the bevel shade for the control.  With this color and BevelHighlight gives the control it's 3D appearance.

Default

&H00808080& (dark gray).


CapsState

see also

Usage

StatusFX.CapsState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Caps Lock key and can be set from the properties window, within code or by double clicking in the rectangle of Caps Lock during run time.


Caption

see also

Usage

StatusFX.Caption = stringvalue

Read/Write at design time and run time.

Description

This property contains the caption text that will be displayed in the caption side of the control.  This caption is an extended version of the standard caption found in most controls.  The caption side play two roles in the status bar, first it is a caption and second it is a gauge displaying the percentage of completion by filling in a gauge like manner.  By simply setting the caption property will automatically turn off the gauge and display the caption text immediately.


ControlStyle

Usage

StatusFX.ControlStyle = numericvalue

Read/Write at design time and run time.

Value

0 - Caption and Display

1 - Caption

2 - Display

Description

This property sets the control style for the status bar.  This gives the control complete flexibility by allowing the control to be more than one control.

Default Value

0 - Caption and Display


Gauge

see also

Usage

StatusFX.Gauge = numericvalue

Read/Write at design time and run time.

Value

0 - 100

Description

This property sets the gauge percentage that will be filled by the specified GaugeBackColor.  By setting the value greater than zero(0) will automatically set gauge to the correct fill percent.  By setting the value to zero(0) will automatically turn off the gauge and redisplay the caption text.

Default Value

0 - Caption and Display


DisplayAlignment

Usage

StatusFX.DisplayAlignment = numericvalue

Read/Write at design time and run time.

Value

0 - Top Left

1 - Top Center

2 - Top Right

3 - Middle Left

4 - Middle Center

5 - Middle Right

6 - Bottom Left

7 - Bottom Center

8 - Bottom Right

Description

This property sets the alignment of text within display side.

Default Value

4 - Middle Center


Day

see also

Usage

StatusFX.Day

Read Only at design time and run time.

Value

1 - 31 (Depending on the month)

Description

This property contains the current day of the system date.


DayOfTheWeek

see also

Usage

StatusFX.DayOfTheWeek

Read Only at design time and run time.

Value

1-7  (Beginning with Sunday = 1)

Description

This property contains the current day of the week value for the system date.


DisplayFullYear

Usage

StatusFX.DisplayFullYear = booleanvalue

Read/Write at design time and run time.

Value

True   - Display Full Year (Example 1994)

False - Display Short Year (Example 94)

Description

This property sets the display style of the year for the current system date.

Default Value

True


DisplayWidth

Usage

StatusFX.DisplayWidth = numericvalue

Read/Write at design time and run time.

Description

This property sets the width for the display side of the control.

Default Value

2500


DisplayPopupMenu

see also

Usage

Statusfx.DisplayPopupMenu = booleanvalue

Read/Write at design time and run time.

Value

True   - Display popup menu

False - Do not display popup menu

Description

This property determines if the associated popup menu will be displayed when right mouse clicking on the control.

Default Value

True


DisplayStyle

see also	example

Usage

StatusFX.DisplayStyle = numericvalue

Read/Write at design time and run time.

Value

0 - None\Caption

1 - Time

2 - Military

3 - Date

4 - Long Date

5 - Date and Time

6 - Long Date and Time

7 - Julian Date

8 - Julian Date and Time

9 - Julian Date and Date

10 - Julian Date and Long Date

11 - Julian Date, Date and Time

12 - Julian Date, Long Date and Time

13 - Memory Available

14 - Resources Available

15 - Memory and Resource

16 - Key States

Description

This property sets the display style of the control.

Default Value

1 - Time


CaptionBackColor

Usage

StatusFX.CaptionBackColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the background color on the caption side of the status bar.

Default

&H00C0C0C0& (light gray).


DisplaySeconds

Usage

StatusFX.DisplaySeconds = booleanvalue

Read/Write at design time and run time.

Value

True 	- Display seconds when time is displayed.

False 	- Do not display seconds.

Description

This property determines if the seconds will be displayed and ticking away.

Default Value

True


BevelOuter

see also

Usage

StatusFX.BevelOuter = numericvalue

Read/Write at design time and run time.

Value

0 - None

1 - Pop

2 - Drop

Description

This property sets the bevel state appearance for the outer rectangle surrounding the control.

Default Value

2 - Drop


pop_Gauge
See also...

Caption

Gauge

GaugeAlignment

GaugeBackColor

GaugeDirection

GaugeForeColor

GaugePercent

GaugePercentStyle

GaugeText


EnableTimer

see also

Usage

StatusFX.EnableTimer = booleanvalue

Read/Write at design time and run time.

Value

True   - Enable Timer

False - Disable Timer

Description

This property enables/disables the timer but does not reset the interval value to 0.  This enables turning on and off the timer easily.

Default Value

True


Hour

see also

Usage

Statusfx.Hour

Read Only at design time and run time.

Value

1 - 12 Normal time

0 - 23 (DisplayStyle = 2 - Military)

Description

This property contains the current hour of the system time depending on the current DisplayStyle.


InsertState

see also

Usage

StatusFX.InsertState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Insert key and can be set from the properties window, within code or by double clicking in the rectangle of INS/Insert Mode or OVR/Overtype during run time.

Note:  Most VB controls do not automatically reset their insert state unless currently within that control.  Use this property to determine if insert or overtype should be on.  Use SendKeys to set the state appropriately.

Example:  SendKeys "{INSERT}"


JulianDate

see also

Usage

StatusFX.Julian

Read Only at design time and run time.

Value

1 - 365 Days

Description

This property contains the current julian date of the system date.


Minute

see also

Usage

StatusFX.Minute

Read Only at design time and run time.

Value

0 - 59

Description

This property contains the current minute of the system time.


Month

see also

Usage

StatusFX.Month

Read Only at design time and run time.

Value

1 - 12

Description

This property contains the current month of the system date.


NumState

see also

Usage

StatusFX.NumState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Num Lock key and can be set from the properties window, within code or by double clicking in the rectangle of NUM/Num Lock during run time.


ScrollState

see also

Usage

StatusFX.ScrollState = numericvalue

Read/Write at design time and run time.

Value

0 - Key Off

1 - Key On

Description

This property contains the current state of the Scroll Lock key and can be set from the properties window, within code or by double clicking in the rectangle of SCRL/Scroll Lock during run time.


Second

see also

Usage

StatusFX.Second

Read Only at design time and run time.

Value

0 - 59

Description

This property contains the current second of the system time.


ex_menuSelect
Example of MenuSelect

This examples show how a MenuSelect event might be structured.

Sub StatusFX1_MenuSelect (MenuItem As String, TypeOfItem As Integer, Enabled As Integer, Checked As Integer, SetCaption As Integer)

  Select Case TypeOfItem

    Case 0 'System Menu

        Select Case MenuItem

            Case "&Move"

               MenuItem = "Move window to a new location"

        End Select

    Case 1 'Popup Menu Item

       Select Case MenuItem

           Case "&File"

               MenuItem = "File: Open, New, Save Documents"

       End Select

    Case "&Open"

        If Enabled then  'Menu Item is Current Enabled

          MenuItem = "Open Existing Documents"

        Else                    'Menu Item is Not Enabled

          MenuItem = "This option is currently unavailable for selection."

        Endif

  End Select

  SetCaption = True

End Sub


UserDefinedAM

see also

Usage

StatusFX.UserDefinedAM = stringvalue

Read/Write at design time and run time.

Description

This property contains the user defined AM value used in place of AM when DisplayStyle is set to a value that contains the time.  By setting this property to blank will automatically set it back to the value AM.

Default

AM


UserDefinedPM

see also

Usage

StatusFX.UserDefinedPM = stringvalue

Read/Write at design time and run time.

Description

This property contains the user defined PM value used in place of PM when DisplayStyle is set to a value that contains the time.  By setting this property to blank will automatically set it back to the value PM.

Default

PM


Year

see also

Usage

StatusFX.Year

Read Only at design time and run time.

Description

This property contains the current year of the system Date.


Standard Properties

Standard Properties

StatusFX also supports the following standard Visual Basic properties.  Consult the Visual Basic documentation for details.

Align	BackColor	BorderStyle	DragIcon

DragMode	FontBold	FontItalic	FontName

FontSize	FontStrikeThru	FontUnderLine	Height

Hwnd	Index	Left	MousePointer

Name	Tag	Top	Visible

Width


DisplayForeColor

Usage

StatusFX.DisplayForeColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the foreground color (text) on the display side of the status bar.

Default

&H00000000& (black).


DisplayNextOnDblClick

see also

Usage

Statusfx.DisplayNextOnDblClick = booleanvalue

Read/Write at design time and run time.

Value

True   - Increment DisplayStyle by one

False - Do not increment

Description

This property determines if property DisplayStyle will be incremented by one when double clicking on the status bar.  If this property is set to False and DisplayStyle is set to 15 - Key States, then double clicking on any of the key states will automatically toggle that key on or off.

Default Value

True


DisplayBackColor

Usage

StatusFX.DisplayBackColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the background color on the display side of the status bar.

Default

&H00C0C0C0& (light gray).


Interval

see also

Usage

StatusFX.Interval = numericvalue

Read Only at design time and run time.

Value

0 - 32767 milliseconds (1000 = 1 second)

Description

This property contains the interval value at which the timer is activated.  This value will be used to update properties and the display at this rate.  The interval value is automatically reset to a predefined value when the DisplayStyle is set.

Default

1000


GaugeSet

see also

Syntax

StatusFX_GaugeSet (Gauge As Integer)

Parameter Value

Gauge

1 - 100

Description

This event is called when the gauge property is set during run time.


IntervalKeyStates

see also

Usage

StatusFX.IntervalKeyStates = numericvalue

Read Only at design time and run time.

Value

0 - 32767 milliseconds (1000 = 1 second)

Description

This property contains the value at which property Interval will be set when DisplayStyle is set to 16 - Key States.  In order for Key States to be active, this property must be set to a value higher than 0 (zero).

Default

150


GaugeForeColor

see also

Usage

StatusFX.GaugeForeColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the foreground color (text) of the gauge on the caption side of the status bar.

Default

&H00000000& (black).


IntervalOther

Usage

StatusFX.IntervalOther = numericvalue

Read Only at design time and run time.

Value

0 - 32767 milliseconds (1000 = 1 second)

Description

This property contains the value at which property Interval will be set when DisplayStyle is set to a value of 1 - 15.

Default

1000


GaugeAlignment

see also

Usage

StatusFX.GaugeAlignment = numericvalue

Read/Write at design time and run time.

Value

0 - Top Left

1 - Top Center

2 - Top Right

3 - Middle Left

4 - Middle Center

5 - Middle Right

6 - Bottom Left

7 - Bottom Center

8 - Bottom Right

Description

This property sets the alignment of text within caption side when the gauge is on.

Default Value

4 - Middle Center


CaptionAlignment

Usage

Statusfx.CaptionAlignment = numericvalue

Read/Write at design time and run time.

Value

0 - Top Left

1 - Top Center

2 - Top Right

3 - Middle Left

4 - Middle Center

5 - Middle Right

6 - Bottom Left

7 - Bottom Center

8 - Bottom Right

Description

This property sets the alignment of text of the caption within the caption side.

Default Value

4 - Middle Center


pop_Interval
See also...

Interval

IntervalKeyStates

IntervalOther


pop_DisplayPopupMenu
See also...

DisplayPopupMenu

DisplayStyle


ex_DisplayStyle
Examples of StatusFX

0 - Time

7 - Julian Date and Time with a Statusfx control contained within it displaying the date

14 - Memory and Resource

15 - Key States and caption (Full Status Bar)

15 - Key States with gauge in use.

Gauge by Itself!

These are some examples of the different forms that StatusFX can become by setting properties DisplayStyle and ControlStyle.  Each StatusFX control has its own associated popup menu if enabled through property DisplayPopupMenu.


pop_DisplayStyle
See also...

AbbreviateWords

AMPMStyle

DisplayFullYear

DisplayPopupMenu

Interval

IntervalKeyStates

IntervalOther


CaptionForeColor

Usage

StatusFX.CaptionForeColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the foreground color (text) on the caption side of the status bar.

Default

&H00000000& (black).


pop_DateTimeParts
See also...

AMorPM

Day

Hour

JulianDate

Minute

Month

Second

Year


pop_Memory
See also...

AvailableMemory

AvailableResources


pop_KeyState
See also...

CapsState

InsertState

NumState

ScrollState


GaugeBackColor

see also

Usage

StatusFX.GaugeBackColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the background color for the gauge on the caption side of the status bar.

Default

&H000000FF& (red).


MenuSelect

example

Syntax

Sub StatusFX1_MenuSelect (MenuItem As String, TypeOfItem As Integer, Enabled As Integer, Checked As Integer, SetCaption As Integer)

Description

MenuSelect is called when StatusFX is placed on a form with a menu.  If more that one StatusFX control resides, then both controls will be called in z-order.  Set property EnableMenuSelect to False for StatusFX controls that do not need to respond to this event.  Each parameter is explained below:

Parameters

MenuItem

This paramater contains the current selected menu item.  Set this parameter to the string value you wish to be displayed in the Caption side of StatusFX upon leaving the event.  In order for the new MenuItem to be displayed in the Caption, you must set parameter SetCaption to True.

TypeOfItem

This parameter tells you the type of menu item that is currently selected.

Value

0 - System Menu Item (Control Menu)

1 - Popup Menu Item

2 - Regular Menu Item

Enabled

This paramater lets you know if the menu item is enabled or disabled.

Value

True - Menu Item is Enabled

False - Menu Item is Disabled

Disabled

This paramater lets you know if the menu item is checked or unchecked.

Value

True - Menu Item is Checked

False - Menu Item is UnChecked

SetCaption

This paramater gives you the option of letting StatusFX know if you want the Caption set to the value of MenuItem upon leaving the event.

Value

True - Set Caption To The Value Of MenuItem

False - Do Nothing

Default

False


pop_AMPM
See also...

AMPMStyle

UserDefinedAM

UserDefinedPM


Standard Events

Standard Events

Statusfx also supports the following standard Visual Basic events.  Consult the Visual Basic documentation for details.

Click	DblClick	DragDrop	DragOver

MouseDown	MouseMove	MouseUp


KeyStateInactiveColor

Usage

StatusFX.KeyStateInactiveColor = colorvalue

Read/Write at design time and run time.

Description

This property denotes the color of the key states (SCRL, NUM, CAPS, INS) when inactive (0 - Key Off).

Default

&H00808080& (dark gray).


GaugePercentStyle

see also

Usage

StatusFX.DisplayAlignment = numericvalue

Read/Write at design time and run time.

Value

0 - ###%

1 - (###%)

2 - [###%]

3 - <###%>

Description

This property sets the gauge percent style when the gauge is displayed.

Default Value

0 - ###%


PopupMenuSelect

see also

Syntax

StatusFX_PopupMenuSelect (DisplayStyle As Integer)

Parameter Value

DisplayStyle

0 - None\Caption

1 - Time

2 - Military

3 - Date

4 - Long Date

5 - Date and Time

6 - Long Date and Time

7 - Julian Date

8 - Julian Date and Time

9 - Julian Date and Date

10 - Julian Date and Long Date

11 - Julian Date, Date and Time

12 - Julian Date, Long Date and Time

13 - Memory Available

14 - Resources Available

15 - Memory and Resource

16 - Key States

Description

This event is called when a menu item is selected from the popup menu or when property DisplayNextOnDblClk is set to True and the user double clicks on the status bar.


Timer

see also

Syntax

Timer ()

Description

This event is fired off (called) every milliseconds set into property Interval.  1000 milliseconds = 1 second.


DblClick

see also

Syntax

DblClick ()

Description

This standard event has been enhanced to support two events depending on the value set in  property DisplayNextOnDblClk.  If this property is set to True  then property DisplayStyle is incremented by one resulting in the PopupMenuSelect event being called.  If this property is set to False and DisplayStyle is set to 15 - Key States, then KeyStateDblClk is called if the user double clicks inside any of the keystate rectangles (SCRL, NUM, CAPS, INS).


pop_Bevel
See also...

BevelCaption

BevelDisplay

BevelOuter

BevelHighlight

BevelShade


GaugePercent

see also

Usage

StatusFX.GaugePercent = numericvalue

Read/Write at design time and run time.

Value

0 - None

1 - Left of GaugeText

2 - Right of GaugeText

Description

This property sets the percentage placement with the GaugeText property.

Default Value

1 - Left of GaugeText


pop_DblClick
See also...

DblClick

DisplayNextOnDblClk

KeyStateDblClk

PopupMenuSelect


BevelDisplay

see also

Usage

StatusFX.BevelDisplay = numerivalue

Read/Write at design time and run time.

Value

0 - None

1 - Pop

2 - Drop

Description

This property sets the bevel state appearance for the rectangle surrounding the display portion of the control.

Default Value

2 - Drop


EnableMenuSelect

Usage

StatusFX.EnableMenuSelect = booleanvalue

Read/Write at design time and run time.

Value

True   - Enable MenuSelect Event

False - Disable MenuSelect Event

Description

This property enables/disables the MenuSelect event from being called.  StatusFX controls not needing this event should be set to False to improve performance if many StatusFX control will reside on a particular form.

Default Value

True


EndWidth

Usage

StatusFX.EndWidth = numericvalue

Read Only at design time and run time.

Value

0 - 100 pixels

Description

This property sets the width at both ends of the control and between the caption and display side.

Default

5